Loading...
Searching...
No Matches
Types
SPA » Utilities

Data type information enumerations. More...

## Files

file | enum-types.h
| spa/utils/enum-types.h
file | type-info.h
| spa/utils/type-info.h
file | type.h
| spa/utils/type.h

## Data Structures

struct | spa_type_info

## Enumerations

enum

{
SPA_TYPE_START = 0x00000 , SPA_TYPE_None , SPA_TYPE_Bool , SPA_TYPE_Id ,
SPA_TYPE_Int , SPA_TYPE_Long , SPA_TYPE_Float , SPA_TYPE_Double ,
SPA_TYPE_String , SPA_TYPE_Bytes , SPA_TYPE_Rectangle , SPA_TYPE_Fraction ,
SPA_TYPE_Bitmap , SPA_TYPE_Array , SPA_TYPE_Struct , SPA_TYPE_Object ,
SPA_TYPE_Sequence , SPA_TYPE_Pointer , SPA_TYPE_Fd , SPA_TYPE_Choice ,
SPA_TYPE_Pod , _SPA_TYPE_LAST , SPA_TYPE_POINTER_START = 0x10000 , SPA_TYPE_POINTER_Buffer ,
SPA_TYPE_POINTER_Meta , SPA_TYPE_POINTER_Dict , _SPA_TYPE_POINTER_LAST , SPA_TYPE_EVENT_START = 0x20000 ,
SPA_TYPE_EVENT_Device , SPA_TYPE_EVENT_Node , _SPA_TYPE_EVENT_LAST , SPA_TYPE_COMMAND_START = 0x30000 ,
SPA_TYPE_COMMAND_Device , SPA_TYPE_COMMAND_Node , _SPA_TYPE_COMMAND_LAST , SPA_TYPE_OBJECT_START = 0x40000 ,
SPA_TYPE_OBJECT_PropInfo , SPA_TYPE_OBJECT_Props , SPA_TYPE_OBJECT_Format , SPA_TYPE_OBJECT_ParamBuffers ,
SPA_TYPE_OBJECT_ParamMeta , SPA_TYPE_OBJECT_ParamIO , SPA_TYPE_OBJECT_ParamProfile , SPA_TYPE_OBJECT_ParamPortConfig ,
SPA_TYPE_OBJECT_ParamRoute , SPA_TYPE_OBJECT_Profiler , SPA_TYPE_OBJECT_ParamLatency , SPA_TYPE_OBJECT_ParamProcessLatency ,
SPA_TYPE_OBJECT_ParamTag , SPA_TYPE_OBJECT_PeerParam , SPA_TYPE_OBJECT_ParamDict , _SPA_TYPE_OBJECT_LAST ,
SPA_TYPE_VENDOR_PipeWire = 0x02000000 , SPA_TYPE_VENDOR_Other = 0x7f000000
}

## Macros

#define | SPA_TYPE_INFO_Direction SPA_TYPE_INFO_ENUM_BASE "Direction"
#define | SPA_TYPE_INFO_DIRECTION_BASE SPA_TYPE_INFO_Direction ":"
#define | SPA_TYPE_INFO_Choice SPA_TYPE_INFO_ENUM_BASE "Choice"
#define | SPA_TYPE_INFO_CHOICE_BASE SPA_TYPE_INFO_Choice ":"
#define | SPA_TYPE_ROOT spa_types
#define | SPA_TYPE_INFO_BASE "Spa:"
#define | SPA_TYPE_INFO_Flags SPA_TYPE_INFO_BASE "Flags"
#define | SPA_TYPE_INFO_FLAGS_BASE SPA_TYPE_INFO_Flags ":"
#define | SPA_TYPE_INFO_Enum SPA_TYPE_INFO_BASE "Enum"
#define | SPA_TYPE_INFO_ENUM_BASE SPA_TYPE_INFO_Enum ":"
#define | SPA_TYPE_INFO_Pod SPA_TYPE_INFO_BASE "Pod"
#define | SPA_TYPE_INFO_POD_BASE SPA_TYPE_INFO_Pod ":"
#define | SPA_TYPE_INFO_Struct SPA_TYPE_INFO_POD_BASE "Struct"
#define | SPA_TYPE_INFO_STRUCT_BASE SPA_TYPE_INFO_Struct ":"
#define | SPA_TYPE_INFO_Object SPA_TYPE_INFO_POD_BASE "Object"
#define | SPA_TYPE_INFO_OBJECT_BASE SPA_TYPE_INFO_Object ":"
#define | SPA_TYPE_INFO_Pointer SPA_TYPE_INFO_BASE "Pointer"
#define | SPA_TYPE_INFO_POINTER_BASE SPA_TYPE_INFO_Pointer ":"
#define | SPA_TYPE_INFO_Interface SPA_TYPE_INFO_POINTER_BASE "Interface"
#define | SPA_TYPE_INFO_INTERFACE_BASE SPA_TYPE_INFO_Interface ":"
#define | SPA_TYPE_INFO_Event SPA_TYPE_INFO_OBJECT_BASE "Event"
#define | SPA_TYPE_INFO_EVENT_BASE SPA_TYPE_INFO_Event ":"
#define | SPA_TYPE_INFO_Command SPA_TYPE_INFO_OBJECT_BASE "Command"
#define | SPA_TYPE_INFO_COMMAND_BASE SPA_TYPE_INFO_Command ":"

## Functions

SPA_API_TYPE bool | spa_type_is_a (const char *type, const char *parent)
SPA_API_TYPE const char * | spa_type_short_name (const char *name)
SPA_API_TYPE uint32_t | spa_type_from_short_name (const char *name, const struct spa_type_info *info, uint32_t unknown)
SPA_API_TYPE const char * | spa_type_to_name (uint32_t type, const struct spa_type_info *info, const char *unknown)
SPA_API_TYPE const char * | spa_type_to_short_name (uint32_t type, const struct spa_type_info *info, const char *unknown)

## Variables

static const struct spa_type_info | spa_type_direction []
static const struct spa_type_info | spa_type_choice []
static const struct spa_type_info | spa_types []

## Detailed Description

Data type information enumerations.

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
SPA_TYPE_START |
SPA_TYPE_None |
SPA_TYPE_Bool |
SPA_TYPE_Id |
SPA_TYPE_Int |
SPA_TYPE_Long |
SPA_TYPE_Float |
SPA_TYPE_Double |
SPA_TYPE_String |
SPA_TYPE_Bytes |
SPA_TYPE_Rectangle |
SPA_TYPE_Fraction |
SPA_TYPE_Bitmap |
SPA_TYPE_Array |
SPA_TYPE_Struct |
SPA_TYPE_Object |
SPA_TYPE_Sequence |
SPA_TYPE_Pointer |
SPA_TYPE_Fd |
SPA_TYPE_Choice |
SPA_TYPE_Pod |
_SPA_TYPE_LAST | not part of ABI
SPA_TYPE_POINTER_START |
SPA_TYPE_POINTER_Buffer |
SPA_TYPE_POINTER_Meta |
SPA_TYPE_POINTER_Dict |
_SPA_TYPE_POINTER_LAST | not part of ABI
SPA_TYPE_EVENT_START |
SPA_TYPE_EVENT_Device |
SPA_TYPE_EVENT_Node |
_SPA_TYPE_EVENT_LAST | not part of ABI
SPA_TYPE_COMMAND_START |
SPA_TYPE_COMMAND_Device |
SPA_TYPE_COMMAND_Node |
_SPA_TYPE_COMMAND_LAST | not part of ABI
SPA_TYPE_OBJECT_START |
SPA_TYPE_OBJECT_PropInfo |
SPA_TYPE_OBJECT_Props |
SPA_TYPE_OBJECT_Format |
SPA_TYPE_OBJECT_ParamBuffers |
SPA_TYPE_OBJECT_ParamMeta |
SPA_TYPE_OBJECT_ParamIO |
SPA_TYPE_OBJECT_ParamProfile |
SPA_TYPE_OBJECT_ParamPortConfig |
SPA_TYPE_OBJECT_ParamRoute |
SPA_TYPE_OBJECT_Profiler |
SPA_TYPE_OBJECT_ParamLatency |
SPA_TYPE_OBJECT_ParamProcessLatency |
SPA_TYPE_OBJECT_ParamTag |
SPA_TYPE_OBJECT_PeerParam |
SPA_TYPE_OBJECT_ParamDict |
_SPA_TYPE_OBJECT_LAST | not part of ABI
SPA_TYPE_VENDOR_PipeWire |
SPA_TYPE_VENDOR_Other |

## Macro Definition Documentation

## SPA_TYPE_INFO_Direction

#define SPA_TYPE_INFO_Direction SPA_TYPE_INFO_ENUM_BASE "Direction"

## SPA_TYPE_INFO_DIRECTION_BASE

#define SPA_TYPE_INFO_DIRECTION_BASE SPA_TYPE_INFO_Direction ":"

## SPA_TYPE_INFO_Choice

#define SPA_TYPE_INFO_Choice SPA_TYPE_INFO_ENUM_BASE "Choice"

## SPA_TYPE_INFO_CHOICE_BASE

#define SPA_TYPE_INFO_CHOICE_BASE SPA_TYPE_INFO_Choice ":"

## SPA_TYPE_ROOT

#define SPA_TYPE_ROOT spa_types

## SPA_TYPE_INFO_BASE

#define SPA_TYPE_INFO_BASE "Spa:"

## SPA_TYPE_INFO_Flags

#define SPA_TYPE_INFO_Flags SPA_TYPE_INFO_BASE "Flags"

## SPA_TYPE_INFO_FLAGS_BASE

#define SPA_TYPE_INFO_FLAGS_BASE SPA_TYPE_INFO_Flags ":"

## SPA_TYPE_INFO_Enum

#define SPA_TYPE_INFO_Enum SPA_TYPE_INFO_BASE "Enum"

## SPA_TYPE_INFO_ENUM_BASE

#define SPA_TYPE_INFO_ENUM_BASE SPA_TYPE_INFO_Enum ":"

## SPA_TYPE_INFO_Pod

#define SPA_TYPE_INFO_Pod SPA_TYPE_INFO_BASE "Pod"

## SPA_TYPE_INFO_POD_BASE

#define SPA_TYPE_INFO_POD_BASE SPA_TYPE_INFO_Pod ":"

## SPA_TYPE_INFO_Struct

#define SPA_TYPE_INFO_Struct SPA_TYPE_INFO_POD_BASE "Struct"

## SPA_TYPE_INFO_STRUCT_BASE

#define SPA_TYPE_INFO_STRUCT_BASE SPA_TYPE_INFO_Struct ":"

## SPA_TYPE_INFO_Object

#define SPA_TYPE_INFO_Object SPA_TYPE_INFO_POD_BASE "Object"

## SPA_TYPE_INFO_OBJECT_BASE

#define SPA_TYPE_INFO_OBJECT_BASE SPA_TYPE_INFO_Object ":"

## SPA_TYPE_INFO_Pointer

#define SPA_TYPE_INFO_Pointer SPA_TYPE_INFO_BASE "Pointer"

## SPA_TYPE_INFO_POINTER_BASE

#define SPA_TYPE_INFO_POINTER_BASE SPA_TYPE_INFO_Pointer ":"

## SPA_TYPE_INFO_Interface

#define SPA_TYPE_INFO_Interface SPA_TYPE_INFO_POINTER_BASE "Interface"

## SPA_TYPE_INFO_INTERFACE_BASE

#define SPA_TYPE_INFO_INTERFACE_BASE SPA_TYPE_INFO_Interface ":"

## SPA_TYPE_INFO_Event

#define SPA_TYPE_INFO_Event SPA_TYPE_INFO_OBJECT_BASE "Event"

## SPA_TYPE_INFO_EVENT_BASE

#define SPA_TYPE_INFO_EVENT_BASE SPA_TYPE_INFO_Event ":"

## SPA_TYPE_INFO_Command

#define SPA_TYPE_INFO_Command SPA_TYPE_INFO_OBJECT_BASE "Command"

## SPA_TYPE_INFO_COMMAND_BASE

#define SPA_TYPE_INFO_COMMAND_BASE SPA_TYPE_INFO_Command ":"

## Function Documentation

## spa_type_is_a()

SPA_API_TYPE bool spa_type_is_a | ( | const char * | type,
|  | const char * | parent )

## spa_type_short_name()

SPA_API_TYPE const char * spa_type_short_name | ( | const char * | name | ) |

## spa_type_from_short_name()

SPA_API_TYPE uint32_t spa_type_from_short_name | ( | const char * | name,
|  | const struct spa_type_info * | info,
|  | uint32_t | unknown )

## spa_type_to_name()

SPA_API_TYPE const char * spa_type_to_name | ( | uint32_t | type,
|  | const struct spa_type_info * | info,
|  | const char * | unknown )

## spa_type_to_short_name()

SPA_API_TYPE const char * spa_type_to_short_name | ( | uint32_t | type,
|  | const struct spa_type_info * | info,
|  | const char * | unknown )

## Variable Documentation

## spa_type_direction

const struct spa_type_info spa_type_direction[]

static

## spa_type_choice

const struct spa_type_info spa_type_choice[]

static

## spa_types

const struct spa_type_info spa_types[]

static